package com.xy.utils.enums;

import lombok.Getter;

@Getter
public enum MqttCommandStatusEnum {
    //指令状态
    COMMAND_SEND("1", "已发送"),
    COMMAND_SEND_FAIL("2", "发送失败"),
    COMMAND_EXE_SUCCESS("3", "已执行"),
    COMMAND_EXC_FAIL("4", "执行失败"),
    COMMAND_EXC_TIMEOUT("5", "执行超时"),
    COMMAND_RECEIVE("6", "已接收"),
    COMMAND_REFUSE("7", "已拒绝"),
    ;

    private String key;

    private String msg;

    MqttCommandStatusEnum(String key, String msg) {
        this.key = key;
        this.msg = msg;
    }
}
